> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/global/traffic-policies

> Get configured global traffic-policies

## OpenAPI

````json POST /v1/global/traffic-policies
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/global/traffic-policies": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1GlobalTrafficPoliciesPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1GlobalTrafficPoliciesPostResponse"
                }
              }
            }
          }
        },
        "description": "Get configured global traffic-policies"
      }
    }
  },
  "components": {
    "schemas": {
      "v1GlobalTrafficPoliciesPostRequest": {
        "type": "object",
        "properties": {
          "ids": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        },
        "additionalProperties": false
      },
      "v1GlobalTrafficPoliciesPostResponse": {
        "type": "object",
        "properties": {
          "trafficPolicy": {
            "$ref": "#/components/schemas/manaV2ForwardingPolicy"
          }
        },
        "additionalProperties": false
      },
      "manaV2ForwardingPolicy": {
        "type": "object",
        "properties": {
          "dpiApplications": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2DpiCustomApplication"
            }
          },
          "networkLists": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2IpNetworkList"
            }
          },
          "portLists": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2L4PortList"
            }
          },
          "securityRulesets": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2SecurityPolicyRuleset"
            }
          },
          "trafficRulesets": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2TrafficPolicyRuleset"
            }
          },
          "zoneFirewalls": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2ZoneFirewallPolicy"
            }
          },
          "zonePairs": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2SecurityZone"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2DpiCustomApplication": {
        "type": "object",
        "properties": {
          "description": {
            "type": "string",
            "example": "example string"
          },
          "destinationNetwork": {
            "type": "string",
            "example": "example string"
          },
          "destinationNetworkList": {
            "type": "string",
            "example": "example string"
          },
          "destinationPort": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "destinationPortList": {
            "type": "string",
            "example": "example string"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "ipProtocol": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "sourceNetwork": {
            "type": "string",
            "example": "example string"
          },
          "sourceNetworkList": {
            "type": "string",
            "example": "example string"
          },
          "sourcePort": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "sourcePortList": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2IpNetworkList": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "networks": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2L4PortList": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "ports": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int32",
              "example": 123,
              "minimum": 0
            }
          }
        },
        "additionalProperties": false
      },
      "manaV2SecurityPolicyRuleset": {
        "type": "object",
        "properties": {
          "description": {
            "type": "string",
            "example": "example string"
          },
          "errorMessage": {
            "type": "string",
            "example": "example string"
          },
          "globalId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "index": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "rules": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2SecurityPolicyRulesetRule"
            }
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "manaV2TrafficPolicyRuleset": {
        "type": "object",
        "properties": {
          "description": {
            "type": "string",
            "example": "example string"
          },
          "errorMessage": {
            "type": "string",
            "example": "example string"
          },
          "globalId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "index": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "rules": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/manaV2TrafficPolicyRulesetRule"
            }
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "manaV2ZoneFirewallPolicy": {
        "type": "object",
        "properties": {
          "ip": {
            "$ref": "#/components/schemas/manaV2IpFirewallPolicy"
          },
          "udp": {
            "$ref": "#/components/schemas/manaV2UdpFlowTable"
          },
          "zoneName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "manaV2SecurityZone": {
        "type": "object",
        "properties": {
          "inside": {
            "type": "string",
            "example": "example string"
          },
          "outside": {
            "type": "string",
            "example": "example string"
          },
          "ruleset": {
            "type": "string",
            "example": "example string"
          },
          "tcpProtection": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "manaV2SecurityPolicyRulesetRule": {
        "type": "object",
        "properties": {
          "action": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "downlinkBurstRate": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "downlinkPolicerRate": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "index": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "logging": {
            "type": "boolean",
            "example": true
          },
          "match": {
            "$ref": "#/components/schemas/manaV2ForwardingPolicyMatch"
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "seq": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "uplinkBurstRate": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "uplinkPolicerRate": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2TrafficPolicyRulesetRule": {
        "type": "object",
        "properties": {
          "action": {
            "$ref": "#/components/schemas/manaV2TrafficPolicyRulesetRuleAction"
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "index": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "match": {
            "$ref": "#/components/schemas/manaV2ForwardingPolicyMatch"
          },
          "name": {
            "type": "string",
            "example": "example string"
          },
          "seq": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2IpFirewallPolicy": {
        "type": "object",
        "properties": {
          "blockLandAttacks": {
            "type": "boolean",
            "example": true
          },
          "sessionLimit": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "urpf": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "manaV2UdpFlowTable": {
        "type": "object",
        "properties": {
          "expiry": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "unidirectionalFlowLimit": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2ForwardingPolicyMatch": {
        "type": "object",
        "properties": {
          "application": {
            "type": "string",
            "example": "example string"
          },
          "destinationNetwork": {
            "type": "string",
            "example": "example string"
          },
          "destinationPort": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "destinationPortRange": {
            "$ref": "#/components/schemas/manaV2PortRange"
          },
          "domainCategoryIds": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          },
          "domainWildcards": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "dscp": {
            "$ref": "#/components/schemas/manaV2Dscp"
          },
          "icmpType": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "ipProtocol": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "protocol": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "sourceNetwork": {
            "type": "string",
            "example": "example string"
          },
          "sourcePort": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "sourcePortRange": {
            "$ref": "#/components/schemas/manaV2PortRange"
          }
        },
        "additionalProperties": false
      },
      "manaV2TrafficPolicyRulesetRuleAction": {
        "type": "object",
        "properties": {
          "backupCircuit": {
            "type": "string",
            "example": "example string"
          },
          "backupCircuitLabel": {
            "type": "string",
            "example": "example string"
          },
          "egress": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "logging": {
            "type": "boolean",
            "example": true
          },
          "primaryCircuit": {
            "type": "string",
            "example": "example string"
          },
          "primaryCircuitLabel": {
            "type": "string",
            "example": "example string"
          },
          "remark": {
            "$ref": "#/components/schemas/manaV2Dscp"
          },
          "slaClass": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "manaV2PortRange": {
        "type": "object",
        "properties": {
          "lower": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "upper": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "manaV2Dscp": {
        "type": "object",
        "properties": {
          "codePoint": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

